Stack Exchange Network

Stack Exchange network consists of 175 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers.

Visit Stack Exchange

Questions tagged [composer]

Composer is a tool to manage dependencies in PHP. It supports fetching dependencies from different sources like Git, SVN, PEAR, the local filesystem, etc. and also offers automated autoloading support.

1
vote
1answer
132 views

Magento 2: How to install modules that are not on the marketplace without breaking the setup interface?

I have this issue when I go to the "Web Setup Wizard" & try to install extensions that I just bought from the marketplace & it gets stuck because there are some modules that have been ...
1
vote
1answer
788 views

Trying to upgrade from 2.1.6 to 2.1.7 and getting a composer error

I am trying to upgrade from Magento 2.1.6 to 2.1.7 using this https://stackoverflow.com/documentation/magento2/9022/upgrading-magento#t=201704130958117574309 as my guide. I type in- composer require ...
1
vote
2answers
2k views

Running composer with php7.0

I have a server where I have two versions of PHP installed (PHP-7.0 and PHP-7.1). I also have two sites one using magento2.1.5 (running PHP-7.0.18) and the other a Code Ignitor project(running PHP-7.1....
1
vote
2answers
534 views

How to exclude app/code/<vendor>/<module>/vendor from code generation in Magento 2

I'm developing Magento 2 module. My composer.json file contains a dependency ("require") to netresearch/jsonmapper. I run php composer update in app/code/<vendor>/<module> folder. It ...
1
vote
1answer
747 views

Magento 2, install security patch without composer

I download magento 2 and install on my machine. I didn't use composer. There is any way to install de security patch without using composer? Thank you
1
vote
1answer
206 views

“Unable to find deploy strategy for module: no known mapping” / when Snowdog SASS theme / or updating any dependency

I have installed the "snowdog/theme-blank-sass": "^0.10.1" Now I am trying to replace it with our fork, versioned 0.110.1 (just added 100) "repositories": [ { "type": "composer", ...
1
vote
2answers
518 views

Set up theme after Magento 2 composer install

Sorry, but all the doc I found are referring to classic Magento 2 install. The composer installation gives a different Magento file system, so theme tutorials looks useless. I have tried a lot of ...
1
vote
1answer
423 views

Multiple magento-2 modules in single git repository

I am trying to host my magento 2 extensions in a bitbucket repository. each extension will be a branch of that repository. The problem is that, we need to create tag for particular version of the ...
1
vote
3answers
134 views

Composer install issue in Magento 2.3?

I have one issue when I run composer install command. How to solve this issue. Thanks.
1
vote
2answers
398 views

Magento 2.3 composer install issue

I am tring to install to get vendor files in magento 2.3 instance using composer.But i am getting following log: dealsouq@dcwsrv2401:~/public_html$ composer install Loading composer ...
1
vote
2answers
118 views

Magento Twitter Bootstrap 4 composer conflict

When I try and install Magento via composer I'm running into some kind of conflict with twitter bootstrap. If I remove the bootstrap dependency("twbs/bootstrap": "4.1.0") everything install correctly. ...
1
vote
1answer
415 views

Upgrade Magento 2.2.6 to 2.3.0 Resolving dependencies through SAT

I am trying to update my Magento CE 2.2.6 to CE 2.3 with composer but am getting the following. Reading C:/Users/garry/AppData/Local/Composer/repo/https---repo.packagist.org/provider-php-cs-fixer$...
1
vote
1answer
306 views

Ignore platform requirements for sample data installation using Composer

I have a module installed via Composer where the latest master version requires PHP 7.0.x, while the updated version I'm using allows PHP 7.1.x which I have installed. This causes a problem that on ...
1
vote
1answer
175 views

Issues using the Code Migration to migrate to Magento CE v2.2.3 w/ PHP 7.1

I'm attempting to use the code-migration toolkit provided by Magento to assist in our migration to Magento CE v2.2.3 (from v1.9.3.4), but after I clone the latest branch and execute either composer ...
1
vote
1answer
33 views

Testing Pull Requests and Patches from Magento 2's GitHub

I'd like to test the following patch applied by the community. As seen here, https://github.com/magento/magento2/pull/13359/files. Since I've always installed Magento via composer, is there an easy ...
1
vote
1answer
40 views

Installing a downloaded extension with a composer

I am new to M2 and don't exactly know much about composer. I am able to install extensions from GitHub or Magento store with composer just fine. But I don't know what to do with extensions where "...
1
vote
2answers
3k views

How To Download Magento 2.2.2 with Sample data using Composer?

I know how to install Magento 2 using composer. Magento latest release of version Magento 2.2.2. I don't know how to download or Installation with sample data Using Composer. I try to run direct "...
1
vote
1answer
424 views

Magento 2.2 : How To Specify External Library/Dependency In Your Custom Magento Module Deployed under the app/code folder

I have a (Not Open-Source) custom Magento 2.2x module that I'm working on, that has a dependency on an external composer package (bugsnag/bugsnag) Here's how my project is currently structured: ...
1
vote
1answer
788 views

Magento 2 Cannot create cache directory

I'm running composer update command, but it's showing error, that says : Cannot create cache directory /home/111111.cloudwaysapps.com/esdasrdss/.composer/cache/repo/https---repo.magento.com/, ...
1
vote
1answer
204 views

Is it safe to have composer in production?

Is it safe/ok to have composer in production on a server hosting Magento?
1
vote
1answer
101 views

How to add Unirest to Magento 1.9.3.2?

I am trying to integrate Prompt Cloud API with magento. For it the basic requirement is to install Unirest library. I am trying to install using composer: composer require mashape/unirest-php And ...
1
vote
1answer
93 views

Namespaces for “Magento\\Framework\\”, “Magento\\” and physical directory structure

I have a custom class 'class ProductsList extends\Magento\CatalogWidget\Block\Product\ProductsList' and wonder where is the physical file containing the class? Looking at the top level composer ...
1
vote
1answer
600 views

Magento 2: Use Google API client library for PHP

I want to use Google API client library for PHP in my extension to upload YouTube video. I ran following composer command to add this library. composer require google/apiclient:~2.0 But I got ...
1
vote
1answer
260 views

Magento2 Install extension from multiple-extensions repository

I want to modify one extension from public GitHub repository(fork), and install it to my Magento2 via composer. Extensions stored here GitHub. Really, i need only one sample-external-links. I tried ...
1
vote
1answer
451 views

Error while installing language pack via composer require in magento 2

I am getting below while running composer require mageplaza/magento-2-dutch-language-pack:* The requested package mageplaza/magento-2-dutch-language-pack * is satisfiable by mageplaza/magento-2-dutch-...
1
vote
1answer
403 views

Modules/Extensions installed via Composer Problem [closed]

I've installed Magento 1.9.3 locally on my computer and then installed a couple of extensions via composer. Modules/Extensions are Fontis Australia Post and Better404 They seem to have installed OK, ...
1
vote
1answer
678 views

Magento 2: Is there a “safer” way to run Composer Upgrade without enable allow_url_fopen?

I had an issue with running Composer Upgrade command due to allow_url_fopen is not enabled in PHP.ini. I ended up consulting the host provider and they recommended against having this parameter ...
1
vote
2answers
1k views

Composer package requirements unresolved

I created a package on packagist.org for the de_CH locale which is basically cloned from de_DE. Installing the de_DE package works fine via composer with Magento 2.1, but de_CH doesn't, although ...
1
vote
1answer
480 views

Magento 2 Composer Update

The "https://repo.magento.com/packages.json" file could not be downloaded: SSL: Connection reset by peer How can I fix this? I already updated my credentials. This is my ~/.composer/auth.json ...
1
vote
2answers
586 views

app/code folders missing in magento 2

The tutorial I'm working through: http://alanstorm.com/category/magento-2 does not explain what to do with the missing app/code directory. I got Magento by compressed archive and I understand — the ...
1
vote
1answer
1k views

Composer Update Not working

I have googled everywhere to find an answer to my issues. Loading composer repositories with package information [Composer\Downloader\TransportException] Your configuration does not allow ...
1
vote
2answers
977 views

Install magento via Puppet or Composer?

There are several modern ways to install Magento: Magento as Puppet Module: cmuench/Magento-Vagrant-Puppet-Nginx or bippo/puppet-magento Magento as Composer Dependency - so you create composer.json ...
1
vote
2answers
32 views

Stop composer replacing the .htacces file

When updating Magento 2 via Composer, the .htaccess file in the Magento root directory gets overwritten with the default repository version. Therefore losing my customisations, which I have to go in ...
1
vote
1answer
33 views

Mismatched Magento version while using composer

I currently have Magento running on Ubuntu Xampp, and attempted to run composer on a theme file, which prompted me to install a load of PHP extensions. I did this (7.2 for all of them, same as system ...
1
vote
0answers
22 views

Magento2 error while extension installation in create backup step

In my magento2 store I want to install the extension. I have tried this via composer as well as admin extension manager. Every time the process failed in Backup stage after generating the 4Gb of data ...
1
vote
0answers
13 views

How magento2 extension available in composer

We have planning to submit a magento2 extension into Magento marketplace. Currently extension hosted in GitHub private repository. After successful approval from "Magento marketplace" (Marketing ...
1
vote
0answers
66 views

Magento 2.3 Composer stuck while downloading https://repo.magento.com/packages.json

I have a problem since about 24 hours I guess. When I try to download Magento 2 with composer I stuck after logging with my user-credentials. The credentials are ok, it pass and go through the next ...
1
vote
0answers
82 views

Magento Server is at 100% CPU after installing Extension

I just installed a new Extension via Composer: $ composer require mageworx/module-advancedproductoptions This is the output: Using version ^2.16 for mageworx/module-advancedproductoptions ./...
1
vote
0answers
30 views

install magento on virtualbox from bitbucket

After I clone magento files from bitbucket, i try to run composer install but it gives me this error, "[RuntimeException] Failed to execute git clone --no-checkout "ssh://git@stash.studio.com:7 ...
1
vote
0answers
16 views

Validate composer requirements from modules in app/code

Is there a way to validate the version constraints from modules in app/code during updates?
1
vote
0answers
21 views

How can I add a 3rd party dependency in a custom module?

I'm building a module which requires a 3rd party library, how can I make the 3rd party library available to the module without without adding it to the composer.json magento root file? I added it ...
1
vote
0answers
38 views

Magento 2.1.9 to 2.2.0 composer update problem

Basically i want to update my store from 2.1.9 to 2.2.0. But when i run composer update i'm getting this error: - magento/product-community-edition 2.2.0 requires zendframework/zend-stdlib ^2.7.7 -&...
1
vote
2answers
715 views

Unsupported declare 'strict_types' in Magento 2.3.0

Error : Unsupported declare strict_types in ../vendor/magento/inventory-composer-installer while install the extension using composer in Magento 2.3.0.
1
vote
0answers
391 views

Composer Problem. Could not find a matching version of package <name>. Check the package spelling, your versi

I have big problem ;/ And dnt know how i make this... i write composer require searchanise/search-autocomplete and Could not find a matching version of package searchanise/search-autocomplete....
1
vote
0answers
22 views

Source Key should be specified

We are in the process of moving our Magento site to a new hosting platform. After moving all of the files and making some changes to the template XML, the frontend of the site is now working as ...
1
vote
0answers
53 views

Source class for generation not found

I am using a composer library in my custom module. The link for the library is here. This library in turn uses https://github.com/tightenco/collect The {Vendor}/{Module}/composer.json is { "name":...
1
vote
3answers
138 views

n98-magerun.phar not working - PHP Fatal error: Class 'Phar' not found

I can't execute n98-magerun.phar, I get PHP Fatal error: Class 'Phar' not found. I am using PHP 5.5.14 (cli) Any hints how to solve this?
1
vote
0answers
242 views

Composer command not running magento2

I am trying to run the following command - composer require ebizmarts/mailchimp-lib But I am getting following error on command line - [UnexpectedValueException] ...
1
vote
0answers
18 views

Invalid crendetials when runing composer require magento 2 extension

I got this error when running this command composer require my extension from marketplace :
1
vote
0answers
36 views

Problem with CLI installing module

Im trying to install sitemap module for Magento 2 and i got this message via cli, i make some changes in composer.json { "name": "mageplaza/module-sitemap", "minimum-stability":"dev" "...